Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::InputStreamReader Class Reference

An InputStreamReader is a bridge from byte streams to character streams. More...

`#include <InputStreamReader.h>`

Inheritance diagram for Lucene::InputStreamReader:

## Public Member Functions

| InputStreamReader (const ReaderPtr &reader)
| Create an InputStreamReader that uses the utf8 charset.
virtual | ~InputStreamReader ()
virtual String | getClassName ()
boost::shared_ptr< InputStreamReader > | shared_from_this ()
virtual int32_t | read ()
| Read a single character.
virtual int32_t | read (wchar_t *b, int32_t offset, int32_t length)
| Read characters into a portion of an array.
virtual void | close ()
| Close the stream.
virtual bool | markSupported ()
| Tell whether this stream supports the mark() operation.
virtual void | reset ()
| Reset the stream.
Public Member Functions inherited from Lucene::Reader
virtual | ~Reader ()
boost::shared_ptr< Reader > | shared_from_this ()
virtual int64_t | skip (int64_t n)
| Skip characters.
virtual void | mark (int32_t readAheadLimit)
| Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point.
virtual int64_t | length ()
| The number of bytes in the stream.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::Reader
static String | _getClassName ()

## Protected Attributes

ReaderPtr | reader
UTF8DecoderStreamPtr | decoder
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Static Public Attributes inherited from Lucene::Reader
static const int32_t | READER_EOF
Protected Member Functions inherited from Lucene::Reader
| Reader ()
Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

An InputStreamReader is a bridge from byte streams to character streams.

## Constructor & Destructor Documentation

## ◆ InputStreamReader()

Lucene::InputStreamReader::InputStreamReader | ( | const ReaderPtr & | reader | ) |

Create an InputStreamReader that uses the utf8 charset.

References reader.

Referenced by _getClassName().

## ◆ ~InputStreamReader()

virtual Lucene::InputStreamReader::~InputStreamReader | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::InputStreamReader::_getClassName | ( |  | ) |

inline static

References InputStreamReader().

## ◆ close()

virtual void Lucene::InputStreamReader::close | ( |  | ) |

virtual

Close the stream.

Implements Lucene::Reader.

## ◆ getClassName()

virtual String Lucene::InputStreamReader::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::Reader.

## ◆ markSupported()

virtual bool Lucene::InputStreamReader::markSupported | ( |  | ) |

virtual

Tell whether this stream supports the mark() operation.

Reimplemented from Lucene::Reader.

## ◆ read() [1/2]

virtual int32_t Lucene::InputStreamReader::read | ( |  | ) |

virtual

Read a single character.

Reimplemented from Lucene::Reader.

## ◆ read() [2/2]

virtual int32_t Lucene::InputStreamReader::read | ( | wchar_t * | b,
|  | int32_t | offset,
|  | int32_t | length )

virtual

Read characters into a portion of an array.

Implements Lucene::Reader.

References Lucene::Reader::length().

## ◆ reset()

virtual void Lucene::InputStreamReader::reset | ( |  | ) |

virtual

Reset the stream.

Reimplemented from Lucene::Reader.

## ◆ shared_from_this()

boost::shared_ptr< InputStreamReader > Lucene::InputStreamReader::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ decoder

UTF8DecoderStreamPtr Lucene::InputStreamReader::decoder

protected

## ◆ reader

ReaderPtr Lucene::InputStreamReader::reader

protected

Referenced by InputStreamReader().

The documentation for this class was generated from the following file:

- InputStreamReader.h

clucene.sourceforge.net